git@vger.kernel.org mailing list mirror (one of many)
 help / color / mirror / code / Atom feed
From: Philip Oakley <philipoakley@iee.email>
To: GitList <git@vger.kernel.org>
Cc: Self <philipoakley@iee.email>, Junio C Hamano <gitster@pobox.com>,
	Taylor Blau <me@ttaylorr.com>
Subject: [RFC/PoC 3/5] test-lib: add GIT_BUNDLE_DIR setup
Date: Wed,  2 Nov 2022 22:48:41 +0000	[thread overview]
Message-ID: <20221102224843.2104-4-philipoakley@iee.email> (raw)
In-Reply-To: <20221102224843.2104-1-philipoakley@iee.email>

The test system may output a number of documentation bundles containing
test repositories of interest to users, including those explicitly
documented.

Provide a default location for holding those bundles.
As build artefact's this location, along with `.bndl` files, was
ignored in an earlier commit.

This may need further refinement.

Signed-off-by: Philip Oakley <philipoakley@iee.email>
---
 t/test-lib.sh | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/t/test-lib.sh b/t/test-lib.sh
index 4e45bc7c4f..b18cd8a34e 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -56,6 +56,20 @@ then
 	echo "PANIC: Running in a $TEST_DIRECTORY that doesn't end in '/t'?" >&2
 	exit 1
 fi
+if test -z "$GIT_BUNDLE_DIR"
+then
+	# Similarly, override this to store the documentation bundles subdir
+	# elsewhere
+	GIT_BUNDLE_DIR=$TEST_DIRECTORY/GIT_BUNDLE_DIR
+	if test ! -d "$GIT_BUNDLE_DIR"
+	then
+		mkdir -p "$GIT_BUNDLE_DIR"
+	fi
+elif test ! -d "$GIT_BUNDLE_DIR"
+then
+	echo "PANIC: Your "$GIT_BUNDLE_DIR" doesn't exist!" >&2
+	exit 1
+fi
 
 # Prepend a string to a VAR using an arbitrary ":" delimiter, not
 # adding the delimiter if VAR or VALUE is empty. I.e. a generalized:
-- 
2.38.1.281.g83ef3ded8d


  parent reply	other threads:[~2022-11-02 22:49 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-11-02 22:48 [RFC/PoC 0/5] Provide example docbundles Philip Oakley
2022-11-02 22:48 ` [RFC/PoC 1/5] doc: provide DocBundles design document Philip Oakley
2022-11-03  9:19   ` Ævar Arnfjörð Bjarmason
2022-11-03 19:50     ` Philip Oakley
2022-11-03 20:36       ` Ævar Arnfjörð Bjarmason
2022-11-02 22:48 ` [RFC/PoC 2/5] Documentation Bundles: ignore artifact files from creating doc bundles Philip Oakley
2022-11-03  9:12   ` Ævar Arnfjörð Bjarmason
2022-11-03 19:50     ` Philip Oakley
2022-11-02 22:48 ` Philip Oakley [this message]
2022-11-03  9:14   ` [RFC/PoC 3/5] test-lib: add GIT_BUNDLE_DIR setup Ævar Arnfjörð Bjarmason
2022-11-03 19:50     ` Philip Oakley
2022-11-02 22:48 ` [RFC/PoC 4/5] Doc Bundles: add t6102 rev-list simple and pulls examples Philip Oakley
2022-11-02 22:48 ` [RFC/PoC 5/5] docbundle: provide the git-log History Simplification example Philip Oakley
2022-11-03  9:17   ` Ævar Arnfjörð Bjarmason
2022-11-03 19:50     ` Philip Oakley

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: http://vger.kernel.org/majordomo-info.html

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20221102224843.2104-4-philipoakley@iee.email \
    --to=philipoakley@iee.email \
    --cc=git@vger.kernel.org \
    --cc=gitster@pobox.com \
    --cc=me@ttaylorr.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://80x24.org/mirrors/git.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).